<id>
din1031:MemberColorLink
</id>

<version>
3.0.2
</version>

<edit file>
$sourcedir/Load.php
</edit file>

<search for>
	$modSettings['MemberColorLinkVersion'] = '3.0.1';
</search for>

<replace>
	$modSettings['MemberColorLinkVersion'] = '3.0.2';
</replace>

<edit file>
$sourcedir/Recent.php
</edit file>

<search for>
	// Know set the colors for the Recent posts...
	if (!empty($context['MemberColor_ID_MEMBER'])) {
		$colorDatas = load_onlineColors($context['MemberColor_ID_MEMBER']);
		if (!empty($modSettings['MemberColorRecentLastPost']) && is_array($posts))
			foreach($posts as $postkey => $postid_memcolor) 
				if(!empty($postid_memcolor['poster']['id']))
					$posts[$postkey]['poster']['link'] = $colorDatas[$postid_memcolor['poster']['id']]['colored_link'];
	}
</search for>

<replace>
	// Know set the colors for the Recent posts...
	if (!empty($context['MemberColor_ID_MEMBER'])) {
		$colorDatas = load_onlineColors($context['MemberColor_ID_MEMBER']);
		if (!empty($modSettings['MemberColorRecentLastPost']) && is_array($posts))
			foreach($posts as $postkey => $postid_memcolor) 
				if(!empty($colorDatas[$postid_memcolor['poster']['id']]['colored_link']))
					$posts[$postkey]['poster']['link'] = $colorDatas[$postid_memcolor['poster']['id']]['colored_link'];
	}
</replace>

<search for>
	// Know set the colors for the Recent posts...
	if (!empty($context['MemberColor_ID_MEMBER']) && is_array($context['posts'])) {
		$colorDatas = load_onlineColors($context['MemberColor_ID_MEMBER']);
		foreach($context['posts'] as $postkey => $postid_memcolor) {
			if (!empty($modSettings['MemberColorRecentLastPost']) && !empty($postid_memcolor['poster']['id']))
				$context['posts'][$postkey]['poster']['link'] = $colorDatas[$postid_memcolor['poster']['id']]['colored_link'];
			if (!empty($modSettings['MemberColorRecentOwner']) && !empty($postid_memcolor['first_poster']['id']))
				$context['posts'][$postkey]['first_poster']['link'] = $colorDatas[$postid_memcolor['first_poster']['id']]['colored_link'];
		}
	}
</search for>

<replace>
	// Know set the colors for the Recent posts...
	if (!empty($context['MemberColor_ID_MEMBER']) && is_array($context['posts'])) {
		$colorDatas = load_onlineColors($context['MemberColor_ID_MEMBER']);
		foreach($context['posts'] as $postkey => $postid_memcolor) {
			if (!empty($modSettings['MemberColorRecentLastPost']) && !empty($colorDatas[$postid_memcolor['poster']['id']]['colored_link']))
				$context['posts'][$postkey]['poster']['link'] = $colorDatas[$postid_memcolor['poster']['id']]['colored_link'];
			if (!empty($modSettings['MemberColorRecentOwner']) && !empty($colorDatas[$postid_memcolor['first_poster']['id']]['colored_link']))
				$context['posts'][$postkey]['first_poster']['link'] = $colorDatas[$postid_memcolor['first_poster']['id']]['colored_link'];
		}
	}
</replace>

<search for>
	// Know set the colors for the Recent posts...
	if (!empty($settings['display_who_viewing']) && !empty($context['MemberColor_ID_MEMBER']) && is_array($context['topics'])) {
		$colorDatas = load_onlineColors($context['MemberColor_ID_MEMBER']);
		foreach($context['topics'] as $postkey => $postid_memcolor) {
			if (!empty($modSettings['MemberColorRecentLastPost']) && !empty($postid_memcolor['last_post']['member']['id']))
				$context['topics'][$postkey]['last_post']['member']['link'] = $colorDatas[$postid_memcolor['last_post']['member']['id']]['colored_link'];
			if (!empty($modSettings['MemberColorRecentOwner']) && !empty($postid_memcolor['first_post']['member']['id']))
				$context['topics'][$postkey]['first_post']['member']['link'] = $colorDatas[ $postid_memcolor['first_post']['member']['id']]['colored_link'];
		}
	}

	if ($is_topics && !empty($modSettings['enableParticipation']) && !empty($topic_ids))
</search for>

<replace>
	// Know set the colors for the Recent posts...
	if (!empty($context['MemberColor_ID_MEMBER']) && is_array($context['topics'])) {
		$colorDatas = load_onlineColors($context['MemberColor_ID_MEMBER']);
		foreach($context['topics'] as $postkey => $postid_memcolor) {
			if (!empty($modSettings['MemberColorRecentLastPost']) && !empty($colorDatas[ $postid_memcolor['last_post']['member']['id']]['colored_link']))
				$context['topics'][$postkey]['last_post']['member']['link'] = $colorDatas[$postid_memcolor['last_post']['member']['id']]['colored_link'];
			if (!empty($modSettings['MemberColorRecentOwner']) && !empty($colorDatas[ $postid_memcolor['first_post']['member']['id']]['colored_link']))
				$context['topics'][$postkey]['first_post']['member']['link'] = $colorDatas[ $postid_memcolor['first_post']['member']['id']]['colored_link'];
		}
	}

	if ($is_topics && !empty($modSettings['enableParticipation']) && !empty($topic_ids))
</replace>

<edit file>
$sourcedir/Stats.php
</edit file>

<search for>
	//Yeah baby give me some colors =) .oO(sometimes who read this ;D).
	if (!empty($context['MemberColor_ID_MEMBER'])) {
		$colorDatas = load_onlineColors($context['MemberColor_ID_MEMBER']);
		if (!empty($modSettings['MemberColorStats'])) {
			// First the Top Posters =)
			foreach($context['top_posters'] as $key => $value) {
				if(!empty($context['top_posters'][$key]['id']))
					$context['top_posters'][$key]['link'] = $colorDatas[$context['top_posters'][$key]['id']]['colored_link'];
			}
			// First the Top Starter =)		
			foreach($context['top_starters'] as $key => $value) {
				if(!empty($context['top_starters'][$key]['id']))
					$context['top_starters'][$key]['link'] = $colorDatas[$context['top_starters'][$key]['id']]['colored_link'];
			}
			// First the Top Onliner =)				
			foreach($context['top_time_online'] as $key => $value) {
				if(!empty($context['top_time_online'][$key]['id']))
					$context['top_time_online'][$key]['link'] = $colorDatas[$context['top_time_online'][$key]['id']]['colored_link'];
			}
		}
</search for>

<replace>
	//Yeah baby give me some colors =) .oO(sometimes who read this ;D).
	if (!empty($context['MemberColor_ID_MEMBER'])) {
		$colorDatas = load_onlineColors($context['MemberColor_ID_MEMBER']);
		if (!empty($modSettings['MemberColorStats'])) {
			// First the Top Posters =)
			foreach($context['top_posters'] as $key => $value) {
				if(!empty($colorDatas[$context['top_posters'][$key]['id']]['colored_link']))
					$context['top_posters'][$key]['link'] = $colorDatas[$context['top_posters'][$key]['id']]['colored_link'];
			}
			// First the Top Starter =)		
			foreach($context['top_starters'] as $key => $value) {
				if(!empty($colorDatas[$context['top_starters'][$key]['id']]['colored_link']))
					$context['top_starters'][$key]['link'] = $colorDatas[$context['top_starters'][$key]['id']]['colored_link'];
			}
			// First the Top Onliner =)				
			foreach($context['top_time_online'] as $key => $value) {
				if(!empty($colorDatas[$context['top_time_online'][$key]['id']]['colored_link']))
					$context['top_time_online'][$key]['link'] = $colorDatas[$context['top_time_online'][$key]['id']]['colored_link'];
			}
		}
</replace>
